Subject: Re: bug#10124: 24.0.91; Choosing a remote file, when the current directory is remote too

From: Michael Albinus <[email-masked]>
Date: Fri, 25 Nov 2011 11:05:38 +0100

Dani Moncayo <[email-masked]> writes:

> Recipe from "emacs -Q":
>
> 1. Eval: (cd "/usr@host:/path-0/").
> 2. Eval: (diff "/usr@host:/path-1/file-1" "/usr@host:/path-2/file-2")
> 3. In the *Diff* buffer, move point to a hunk and type "C-c C-c".
> 4. In the "Use file" prompt, accept the default (i.e., just type RET).
>
> --> Expected result: File "/usr@host:/path-2/file-2" is visited.
> --> Observed result: A *Completions* buffer is created.

I cannot reproduce it. As step 4, I get the message "Hunk already
applied". File "/usr@host:/path-2/file-2" is visited.

> In GNU Emacs 24.0.91.1 (i386-mingw-nt5.1.2600)
>  of 2011-11-22 on MARVIN

I do not use the latest snapshot, but the pretest version:

In GNU Emacs 24.0.91.1 (i386-mingw-nt5.1.2600)
 of 2011-10-31 on MARVIN

Does this make a difference?

Best regards, Michael.